org.eclipse.draw2d

## Class FlowLayout.WorkingData

- java.lang.Object
- - org.eclipse.draw2d.FlowLayout.WorkingData

Enclosing class:
  FlowLayout

    protected class FlowLayout.WorkingData
    extends java.lang.Object

Holds the necessary information for layout calculations.

### Field Summary

Fields
`Rectangle` `area`
`Rectangle[]` `bounds`
`int` `maxWidth`
`IFigure[]` `row`
`int` `rowCount`
`int` `rowHeight`
`int` `rowWidth`
`int` `rowX`
`int` `rowY`

### Constructor Summary

Constructors
`protected` `FlowLayout.WorkingData()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bounds

    public Rectangle[] bounds

#### area

    public Rectangle area

#### row

    public IFigure[] row

#### rowHeight

    public int rowHeight

#### rowWidth

    public int rowWidth

#### rowCount

    public int rowCount

#### rowX

    public int rowX

#### rowY

    public int rowY

#### maxWidth

    public int maxWidth

### Constructor Detail

#### FlowLayout.WorkingData

    protected FlowLayout.WorkingData()